/**
 * 
 */
package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.EntityFinder;
import gov.va.med.esr.service.external.person.collections.CategoryCollection;

/**
 * @author DNS   CHINNR
 *
 */
public class EDIPIEntityFinder extends AbstractEntityFinder implements EntityFinder {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	String edipi;
	
	// 
	/*
	public EDIPIEntityFinder(String edipi,String accountName, String requestName, CategoryCollection categories) {
		super(accountName, requestName, categories);
		this.edipi = edipi;
		
		
	}
	public EDIPIEntityFinder(String edipi,String accountName, String requestName, DeliveryPreferenceInfo deliveryPreferenceInfo) {
		super(accountName, requestName, deliveryPreferenceInfo);
		
		this.edipi = edipi;
		
	}
	public EDIPIEntityFinder(String edipi,String accountName, String notificationType, String survivingVpid, String deprecatedVpid, String dfn, String stationName, String fromVpid, String toVpid) {
		super(accountName, notificationType, survivingVpid, deprecatedVpid, dfn,
				stationName, fromVpid, toVpid);
		
		this.edipi = edipi;
		
	}
	*/
	
	public EDIPIEntityFinder(String edipi,String accountName, String requestName) {
		super(accountName, requestName);
		
		this.edipi = edipi;
		
	}
	public String getEdipi() {
		return edipi;
	}
	public void setEdipi(String edipi) {
		this.edipi = edipi;
	}
	public String getFinderData() {
		return getEdipi();
	}

}
